void handleLeds()
{
	confirmBlink();
	ledCounter = (ledCounter + 1 < 20) ? ledCounter + 1 : 0;

	switch (settings.ledMode)
	{
	case 0:
		ledVal[0] = 0;
		ledVal[1] = 0;
		break;
	case 1:
		if (noteOnCounter > 0)
		{
			noteOnCounter--;
			if (noteOnCounter == 0)
			{
				if (settings.pitchTofIsRight)
					ledVal[1] = 0;
				else
					ledVal[0] = 0;
			}
			else
			{
				if (settings.pitchTofIsRight)
					ledVal[1] = 30;
				else
					ledVal[0] = 30;
			}
		}
		break;
	case 2:
		if (currentScale == numScales) // free pitch / theremin mode
			setTuningLeds();
		else
		{
			ledVal[0] = 0;
			ledVal[1] = 0;
		}
		break;
	}

	for (int i = 0; i < 2; i++)
	{
		if (ledVal[i] / 10 > ledCounter)
			digitalWrite(led[i], HIGH);
		else
			digitalWrite(led[i], LOW);
	}
}

void noteOnLed()
{
	noteOnCounter = 20;
}

void setCcLeds(byte ccNum, byte value, byte isVolCC)
{
	if (settings.pitchTofIsRight)
	{
		if (isVolCC)
			ledVal[0] = value;
		else
			ledVal[1] = value;
	}
	else
	{
		if (isVolCC)
			ledVal[1] = value;
		else
			ledVal[0] = value;
	}
}

void setTuningLeds()
{
	if (noHandsPresent)
	{
		ledVal[0] = 0;
		ledVal[1] = 0;
		return;
	}
	byte smallestDifIndex = rootnote;
	float smallestDif = 10000; // 10000 is an arbitrary value larger than the highest note  frequency
	for (int i = 0; i < 25; i++)
	{
		float tmp = abs(note[rootnote + i] - latestFreq);
		if (tmp < smallestDif)
		{
			smallestDif = tmp;
			smallestDifIndex = i;
		}
	}

	if (smallestDif < (abs(note[smallestDifIndex] - note[smallestDifIndex - 1]) / 5))
	{
		ledVal[0] = 30;
		ledVal[1] = 30;
	}
	else if (latestFreq < note[smallestDifIndex])
	{
		ledVal[0] = 30;
		ledVal[1] = 0;
	}
	else
	{
		ledVal[0] = 0;
		ledVal[1] = 30;
	}
}
void confirmBlink()
{
	if (confirmBlinkCounter >= 1000)
		return;
	if (confirmBlinkCounter < 200)
		digitalWrite(13, HIGH);
	else if (confirmBlinkCounter < 400)
		digitalWrite(13, LOW);
	else if (confirmBlinkCounter < 600)
		digitalWrite(13, HIGH);
	else if (confirmBlinkCounter < 800)
		digitalWrite(13, LOW);
	else if (confirmBlinkCounter < 1000)
		digitalWrite(13, HIGH);
	confirmBlinkCounter++;
	if (confirmBlinkCounter == 1000)
		digitalWrite(13, LOW);
}
