
byte major[7] = {
  1, 3, 5, 6, 8, 10, 12 };
byte minorMel[7] = {
  1, 3, 4, 6, 8, 10, 12 };
byte minorHarm[7] = {
  1, 3, 4, 6, 8, 9, 12 };
byte pentaMaj[5] = {
  1, 3, 5, 8, 10 };
byte pentaMin[5] = {
  1, 4, 6, 8, 11 };
byte bluesHex[6] = {
  1, 4, 6, 7, 8, 11 };
byte bluesHept[7] = {
  1, 3, 4, 6, 7, 10, 11 };
byte triadMaj[3] = {
  1, 5, 8 };
byte triadMin[3] = {
  1, 4, 8 };
byte maj7[4] = {
  1, 5, 8, 12 };
byte min7[4] = {
  1, 4, 8, 11 };
byte ragaBhairav[7] = {
  1, 2, 5, 6, 8, 9, 12 };
byte spanish[8] = {
  1, 2, 4, 5, 6, 8, 9, 11 };
byte romani[7] = {
  1, 3, 4, 7, 8, 9, 12 };
byte arabian[7] = {
  1, 3, 5, 6, 7, 9, 11 };
byte egyptian[5] = {
  1, 3, 6, 8, 11 };
byte hawaiian[5] = {
  1, 3, 4, 8, 10 };
byte baliPelog[5] = {
  1, 2, 4, 8, 9 };
byte miyakobushi[5] = {
  1, 2, 6, 8, 9 };
byte ryukyu[5] = {
  1, 5, 6, 8, 12 };
byte wholetone[6] = {
  1, 3, 5, 7, 9, 11 };

// when adding any scales, remember to update the numScales value in Theremon.ino
void setScale(bool alert)
{
	if (currentScale > numScales)
		currentScale = numScales;
	switch (currentScale)
	{
	case 0:
		scalePointer = &major[0];
		scaleSize = 7;
		scaleName = "Major";
		break;
	case 1:
		scalePointer = &minorMel[0];
		scaleSize = 7;
		scaleName = "Minor";
		break;
	case 2:
		scalePointer = &minorHarm[0];
		scaleSize = 7;
		scaleName = "Min Harm";
		break;
	case 3:
		scalePointer = &pentaMaj[0];
		scaleSize = 5;
		scaleName = "Penta Maj";
		break;
	case 4:
		scalePointer = &pentaMin[0];
		scaleSize = 5;
		scaleName = "Penta Min";
		break;
	case 5:
		scalePointer = &bluesHex[0];
		scaleSize = 6;
		scaleName = "Blues Hex";
		break;
	case 6:
		scalePointer = &bluesHept[0];
		scaleSize = 7;
		scaleName = "Blues Hept";
		break;
	case 7:
		scalePointer = &triadMaj[0];
		scaleSize = 3;
		scaleName = "Maj Triad";
		break;
	case 8:
		scalePointer = &triadMin[0];
		scaleSize = 3;
		scaleName = "Min Triad";
		break;
	case 9:
		scalePointer = &maj7[0];
		scaleSize = 4;
		scaleName = "Major 7th";
		break;
	case 10:
		scalePointer = &min7[0];
		scaleSize = 4;
		scaleName = "Minor 7th";
		break;
	case 11:
		scalePointer = &ragaBhairav[0];
		scaleSize = 7;
		scaleName = "Raga Bhairav";
		break;
	case 12:
		scalePointer = &spanish[0];
		scaleSize = 8;
		scaleName = "Spanish";
		break;
	case 13:
		scalePointer = &romani[0];
		scaleSize = 7;
		scaleName = "Romani";
		break;
	case 14:
		scalePointer = &arabian[0];
		scaleSize = 7;
		scaleName = "Arabian";
		break;
	case 15:
		scalePointer = &egyptian[0];
		scaleSize = 5;
		scaleName = "Eqyptian";
		break;
	case 16:
		scalePointer = &hawaiian[0];
		scaleSize = 5;
		scaleName = "Hawaiian";
		break;
	case 17:
		scalePointer = &baliPelog[0];
		scaleSize = 5;
		scaleName = "Bali Pelog";
		break;
	case 18:
		scalePointer = &miyakobushi[0];
		scaleSize = 5;
		scaleName = "Miyakobushi";
		break;
	case 19:
		scalePointer = &ryukyu[0];
		scaleSize = 5;
		scaleName = "Ryukyu";
		break;
	case 20:
		scalePointer = &wholetone[0];
		scaleSize = 6;
		scaleName = "Wholetone";
		break;
	case 21:
		scaleName = "Free Pitch";
		break;
	}
	if (alert)
		showAlert(scaleName, 400, 0, 0, 1);
}
