void loadPart()
{
	// check if a part is saved in this location
	if (checkLocation(song, part))
	{
		EEPROM.get(song * 100 + part * 10, prt);
		// voice
		current_waveform = prt.voice;
		setWaveform(false);
		// root
		rootnote = prt.root;
		setRoot(false);
		// scale
		currentScale = prt.scale;
		setScale(false);
		// volume		
		volume = prt.volume;
		masterOutputAmp.gain(float(volume) / 100.0);
		// reverb
		reverbLevel = float(prt.reverb) / 100.0;
		setReverb(reverbLevel);

		tempVal[2] = "LOADED!";
		paramVal[2] = &tempVal[2];
		updateOLED = true;
	}
	else
	{
		tempVal[2] = "FREE!";
		paramVal[2] = &tempVal[2];
		updateOLED = true;
	}
}

void savePart()
{
	// check if a part is saved in this location
	if (mode != 11 && checkLocation(songToSave, partToSave))
		changeMode(11, true); // confirm overwrite
	else // fill the Part struct and save it
	{
		prt.voice = current_waveform;
		prt.root = rootnote;
		prt.scale = currentScale;
		prt.volume = volume;
		prt.reverb = byte(reverbLevel * 100);
		prt.wasSaved = 1;
		EEPROM.put(songToSave * 100 + partToSave * 10, prt);
		showAlert("SAVED!", 400, 0, 0, 1);
		changeMode(0, false);
	}
}

void setSong()
{
	//paramVal[2] = &blank;
	tempVal[0] = "S" + (String)(song + 1);
	paramVal[0] = &tempVal[0];
	if (song != lastSong)
	{
		lastSong = song;
		loadPart();
	}
}

void setPart()
{
	tempVal[1] = "P" + (String)(part + 1);
	paramVal[1] = &tempVal[1];
	if (part != lastPart)
	{
		lastPart = part;
		loadPart();
	}
}

void setSongToSave()
{
	tempVal[0] = "S" + (String)(songToSave + 1);
	paramVal[0] = &tempVal[0];
	showAlert(*paramVal[0], 400, 0, 0, 2);
}

void setPartToSave()
{
	tempVal[1] = "P" + (String)(partToSave + 1);
	paramVal[1] = &tempVal[1];
	showAlert(*paramVal[1], 400, 0, 0, 2);
}

bool checkLocation(int16_t songToCheck, int16_t partToCheck)
{
	bool val = false;
	val = (EEPROM.read(songToCheck * 100 + partToCheck * 10 + 5) == 1) ? true : false; // the 5th byte in the part is the saved check
	return val;
}
